Name: xnetcfg
Version: 1.0
Release: 20
Summary: KDE frontend for configuring network ethernet interface
URL: http://www.redflag-linux.com
Source: %{name}.tgz
Source1: xnetware.mo.ko
Source2: xnetware.po.ko
Patch:	desktop-file.patch
Vendor: Red Flag Software Co., Ltd.
License: GPL
Packager: packager@redflag-linux.com
Group: Applications/Publishing
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
xnetcfg is a KDE frontend for configuring the network ethernet interface


%prep
%setup -n xnetcfg
%patch -p1

%build
%configure bindir=%{buildroot}/usr/share/xnetware
make
gcc -O2 xnetcfg/restart.c -o xnetcfg/restart

%install
rm -rf $RPM_BUILD_ROOT
#%makeinstall bindir=%{buildroot}/usr/share/xnetware
mkdir -p %{buildroot}/usr/share/xnetware/
mkdir -p %{buildroot}/usr/share/locale/zh_CN/LC_MESSAGES
mkdir -p %{buildroot}/usr/share/locale/ja/LC_MESSAGES
mkdir -p %{buildroot}/usr/share/locale/ko/LC_MESSAGES
mkdir -p %{buildroot}/boot
install -s -m 755 xnetcfg/restart %{buildroot}/usr/share/xnetware/
install -s -m 755 xnetcfg/xnetcfg %{buildroot}/usr/share/xnetware/
install -s -m 644 xnetcfg/xnetware.mo %{buildroot}/usr/share/locale/zh_CN/LC_MESSAGES
cp -f xnetcfg/ja.xnetware.mo %{buildroot}/usr/share/locale/ja/LC_MESSAGES/xnetware.mo
install -s -m 644 %{SOURCE1} %{buildroot}/usr/share/locale/ko/LC_MESSAGES/xnetware.mo
install -s -m 644 xnetcfg/module-info %{buildroot}/boot
mkdir -p %{buildroot}/usr/bin
(cd %{buildroot}/usr/bin ; ln -s ../share/xnetware/xnetcfg xnetware)

%files
%defattr(-,root,root)
/usr/share/xnetware/*
/usr/share/locale/*
/usr/bin/*
/boot/*

%clean
rm -rf $RPM_BUILD_ROOT 

%changelog
* Thu Nov 24 2005 Nam, Kwonwoo <kwnam@haansoft.com> 1.0-20
- add korean language support

* Mon Aug 9 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-19
- Add ascii and nonspace adjust in domain name

* Thu Jul 1 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-18
- Add nohup to restart network, avoid shutting down when first start

* Thu May 13 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-17
- Fix crashing when adding a new dhcp adapter when the same eth number

* Tue Apr 20 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-16
- update module-info

* Fri Sep 5 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-14
- Add main argument for whether start unique application
- Add module-info for scan hardware
- Add ja.xnetware.mo

* Fri Jul 11 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-13
- fix a wild pointer problem occured when remove a netadapter(find hosts)

* Tue Jun 23 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-11
- fix the problem of that adding a custom module netadapter can't modify eth number

* Tue Jun 19 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-8
- fix the bug of after updating the ip address, /etc/hosts still remains the old item

* Tue Jun 10 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-8
- fix the bug of crashing after double click an item and click OK end the dialog
- fix the bug of write localhost.localdomain and current IP in hosts

* Tue Jun 10 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-7
- fix the bug of can't stop network when remove net adaters.

* Tue May 20 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-6
- add wirte-file-fail detect

* Tue May 20 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-5
- fix the bug that can not recognize dcop status

* Thu May 15 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-3
- Reconstruct codes, optimized some.

* Wed May 14 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-2
- Add binding multi IP support

* Tue May 13 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-1
- Rewrite almost all
- Replace read/write setting interface
- Add route and ip forward support

* Fri Mar 14 2003 Jian Meng <jianmeng@redflag-linux.com> 0.8-4
- add custom module selection

* Thu Jan 9 2003 Jian Meng <jianmeng@redflag-linux.com> 0.8-3
- fixed PCMCIA adpter not exist in adapter list at the beginning

* Fri Nov 29 2002 Jian Meng <jianmeng@redflag-linux.com> 0.8-2
- Show main window after configurate.
- Translate main window.

* Tue Oct 12 2002 Jian Meng <jianmeng@redflag-linux.com> 0.8-1
- initial RPM
